bpbbpst_buddypress

Registers the Group extension if it needs to.

Description

bpbbpst_buddypress(); 

Usage

  1. if ( !function_exists( 'bpbbpst_buddypress' ) ) { 
  2. require_once ABSPATH . PLUGINDIR . 'buddy-bbpress-support-topic/includes/buddypress.php'; 
  3.  
  4.  
  5. // NOTICE! Understand what this does before running. 
  6. $result = bpbbpst_buddypress(); 
  7.  

Defined (1)

The function is defined in the following location(s).

/includes/buddypress.php  
  1. function bpbbpst_buddypress() { 
  2. // Bail if bbPress required version doesn't match our need 
  3. return; 
  4.  
  5. if ( bbp_is_group_forums_active() && bp_is_active( 'groups' ) ) { 
  6.  
  7. // I want 1.8 !! 
  8. if ( version_compare( bp_get_version(), '2.0', '<' ) ) { 
  9. bp_core_add_admin_notice( sprintf( __('Buddy bbPress Support Status version %s requires at least BuddyPress 2.0, please upgrade BuddyPress :) or downgrade Buddy bbPress Support Status :(', 'buddy-bbpress-support-topic' ), bpbbpst_get_plugin_version() ) ); 
  10. } else { 
  11. bp_register_group_extension( 'BuddyPress_Support_Topic' ); 
  12.